import './bootstrap';
import Alpine from 'alpinejs'
import { formHandler } from './functions';
import { handleFormSubmission } from './functions'; // Ajusta la ruta si es necesario

window.Alpine = Alpine
 
Alpine.data('formHandler', formHandler);
Alpine.start()

window.submitForm = function(event) {
    const formId = 'ajaxForm';
    const successMessageId = 'successMessage';
    const errorMessageId = 'errorMessage';

    handleFormSubmission(event, formId, successMessageId, errorMessageId);
    return false
};

window.onload = (event) => {
    if(document.getElementById('loading-mask')){
        const loadingMask = document.getElementById('loading-mask');
        const content = document.getElementById('main');
        loadingMask.classList.add('hidden'); // Oculta el loading mask
        content.style.display = 'block'; // Muestra el contenido
    }
};

$( '.autocompleteInModal' ).select2( {
    theme: "bootstrap-5",
    width: $( this ).data( 'width' ) ? $( this ).data( 'width' ) : $( this ).hasClass( 'w-100' ) ? '100%' : 'style',
    placeholder: $( this ).data( 'placeholder' ),
    dropdownParent: $("#create .modal-content")
});

$( '.autocomplete' ).select2( {
    theme: "bootstrap-5",
    width: $( this ).data( 'width' ) ? $( this ).data( 'width' ) : $( this ).hasClass( 'w-100' ) ? '100%' : 'style',
    placeholder: $( this ).data( 'placeholder' ),
});

var customModal = $('<div class="custom-modal modal fade" tabindex="-1" aria-labelledby="titleModalLabel"></div>');
$('body').on('click','.btn-custom',function(event){
    $('body').append(customModal);
    $.get($(this).attr('href'),{},function(data){
        $('.custom-modal').html(data)
        $('.custom-modal').modal('show');
        
    })
    $('.custom-modal').on('hidden.bs.modal', function(){
        $('.custom-modal').remove();
    });
    return false;
});