<style>
    .image-preview {
        width: 150px;
        height: 150px;
        border: 2px dashed #ddd;
        display: flex;
        align-items: center;
        justify-content: center;
        font-size: 14px;
        color: #aaa;
        margin-bottom: 10px;
        background: white
    }
    .image-preview img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        display: none;
    }
</style>
<div class="modal-dialog modal-xl" >
    <div class="modal-content">
      <form id="ajaxForm" onsubmit="return submitForm(this)" method="POST" action="{{ route("admin.empleados.store") }}">
            
            <div class="modal-header">
              <h1 class="modal-title fs-5" id="titleModalLabel">{{$title}}</h1>
              <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
          </div>
          <div class="modal-body form-horizontal" style="background-color:#f8f8f8">
            <div class="row">
              <!-- Columna Izquierda -->    
              <div class="col-md-6">
                  <input type="hidden" name="empleado_id"  value="{{ $empleado->id }}">

                  <div class="mb-3">
                      <label for="nombre" class="form-label">Nombre</label>
                      <input type="text" name="nombre" required class="form-control" value="{{ $empleado->nombre }}">
          
                  </div>

                  <div class="mb-3 row">
                    <div class="col-md-6">
                        <label for="apellido_paterno" class="form-label">Apellido Paterno</label>
                        <input type="text" name="apellido_paterno" required class="form-control" value="{{ $empleado->apellido_paterno }}">
                 
                    </div>

                    <div class="col-md-6">
                        <label for="apellido_materno" class="form-label">Apellido Materno</label>
                        <input type="text" name="apellido_materno" class="form-control" value="{{ $empleado->apellido_materno }}">
               
                    </div>
                  </div>
                  <div class="mb-3">
                    <label for="fecha_nacimiento" class="form-label">Fecha Nacimiento</label>
                    <input type="date" name="fecha_nacimiento" required class="form-control"  value="{{ $empleado->fecha_nacimiento }}">
     
                    </div>
                  <div class="mb-3">
                    <label for="direccion" class="form-label">Dirección</label>
                    <input type="text" name="direccion" required class="form-control"  value="{{ $empleado->direccion }}">
     
                    </div>
                <div class="mb-3 row">
                  <div class="col-md-6">
                      <label for="ciudad" class="form-label">Ciudad</label>
                      <input type="text" name="ciudad"  class="form-control" value="{{ $empleado->ciudad }}">
          
                  </div>
                  <div class="col-md-6">
                    <label for="departamento" class="form-label">Provincia</label>
                    <input type="text" name="departamento" class="form-control" value="{{ $empleado->departamento }}">
         
                  </div>

                </div>
                <div class="mb-3">
                    <label for="telefono" class="form-label">Teléfono</label>
                    <input type="text" name="telefono" class="form-control" value="{{ $empleado->telefono }}">
            
                </div>
                 
              </div>

              <!-- Columna Derecha -->
              <div class="col-md-6">
                    <div class="mb-3">
                        <label for="correo" class="form-label">Correo Electrónico</label>
                        <input type="text" name="correo" class="form-control" required  value="{{ $empleado->correo }}">
                
                    </div>
                    <div class="mb-3">
                        <label class="form-label d-block">Sexo</label>
                        <div class="form-check form-check-inline">
                            <input class="form-check-input" type="radio" name="sexo" value="M" required {{ $empleado->sexo == 'M' ? 'checked' : '' }}>
                            <label class="form-check-label">Masculino</label>
                        </div>
                        <div class="form-check form-check-inline">
                            <input class="form-check-input" type="radio" name="sexo" value="F" required {{ $empleado->sexo == 'F' ? 'checked' : '' }}>
                            <label class="form-check-label">Femenino</label>
                        </div>
                    </div>
                  <div class="mb-3">
                      <label for="grado_estudiante" class="form-label">Estudios</label>
                      <input type="text" name="grado_estudiante" class="form-control" value="{{ $empleado->grado_estudiante }}">
                  </div>

                  <div class="mb-3">
                    <label class="form-label">Foto</label>
                    <div class="image-preview" id="imagePreview">
                        <span {{ $empleado->foto ? "class=d-none" : '' }}>Vista previa</span>
                        <img id="previewImg" src="{{ $empleado->foto }}" style="{{ $empleado->foto ? 'display:block !important' : '' }}">
                    </div>
                    <input type="file" name="foto" class="form-control" id="fotoInput" accept="image/*">
 
                  </div>


              </div>

              <!-- Error and Success Messages -->
              <div id="successMessage" style="display:none; color: green;"></div>
              <div id="errorMessage" style="display:none; color: red;"></div>

          </div>

      </div>
    <div class="modal-footer">
      <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancelar</button>
      <button type="submit" id="submitButton" class="btn btn-primary w-25">Guardar</button>
    </div>
    <script>
        document.getElementById('fotoInput').addEventListener('change', function(event) {
            const preview = document.getElementById('previewImg');
            const previewContainer = document.getElementById('imagePreview');
            const file = event.target.files[0];

            if (file) {
                const reader = new FileReader();
                reader.onload = function(e) {
                    preview.src = e.target.result;
                    preview.style.display = "block";
                    previewContainer.querySelector('span').style.display = "none";
                }
                reader.readAsDataURL(file);
            } else {
                preview.src = "";
                preview.style.display = "none";
                previewContainer.querySelector('span').style.display = "block";
            }
        });
    </script>
</form>    
</div>
</div>
