<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-header">
            <div class="float-start">
                Saldos cuentas por cobrar
            </div>
           
        </div>

        
        <div class="card-body mt-4">
        
            <div class="table-responsive">
                <form action="<?php echo e(route('admin.balances.index')); ?>" method="GET">
                    <div class="d-flex justify-content-end">
                        <a href="<?php echo e(route('admin.balances.index')); ?>" class="btn btn-secondary">Quitar Filtros</a>
                    </div>
                    <table class="table table-hover">
                        <thead>
                            <tr>
                                <th>
                                    <div class="dropdown">
                                        <a class="dropdown-toggle"  data-bs-toggle="dropdown">
                                            Cliente
                                        </a>
                                        <div class="dropdown-menu p-3">
                                            <select name="client_id" id="client_id" class="form-select form-select-sm">
                                                <option value="">All</option>
                                                <?php $__currentLoopData = $clients; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $client): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($client->id); ?>" <?php echo e(request('client_id') == $client->id ? 'selected' : ''); ?>>
                                                        <?php echo e($client->name); ?>

                                                    </option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div>
                                    </div>
                                </th>
                                <th>
                                    <div class="dropdown">
                                        <a class="dropdown-toggle" data-bs-toggle="dropdown">
                                            Fecha 
                                        </a>
                                        <div class="dropdown-menu p-3">
                                            <label for="date_start" class="form-label">Desde</label>
                                            <input type="date" name="date_start" id="date_start" class="form-control form-control-sm mb-2" value="<?php echo e(request('date_start')); ?>">
                                            <label for="date_end" class="form-label">Hasta</label>
                                            <input type="date" name="date_end" id="date_end" class="form-control form-control-sm" value="<?php echo e(request('date_end')); ?>">
                                            <div class="mt-2 text-center">
                                                <button type="submit" class="btn btn-sm btn-success">Aplicar</button>
                                            </div>
                                        </div>
                                    </div>
                                </th>
                                <th>
                                    <div class="dropdown">
                                        <a class=" dropdown-toggle"  data-bs-toggle="dropdown">
                                            Nª Doc
                                        </a>
                                        <div class="dropdown-menu p-3">
                                            <div class="input-group mb-3">
                                                <input type="text" name="document_number" id="document_number" class="form-control form-control-sm" placeholder="Search..." value="<?php echo e(request('document_number')); ?>">
                                                <button class="btn btn-sm btn-success"  type="submit" id="button-addon2"><i class="fa-regular fa-square-check"></i></button>
                                            </div>
                                            </div>
                                        </div>
                                    </div>
                                </th>
                                <th>
                                    <div class="dropdown">
                                        <a class=" dropdown-toggle" data-bs-toggle="dropdown">
                                            Días credito
                                        </a>
                                        <div class="dropdown-menu p-3">
                                            <select name="credit_days_operator" id="credit_days_operator" class="form-select form-select-sm mb-2">
                                                <option value="=" <?php echo e(request('credit_days_operator') == '=' ? 'selected' : ''); ?>>Igual</option>
                                                <option value=">" <?php echo e(request('credit_days_operator') == '>' ? 'selected' : ''); ?>>Mayor</option>
                                                <option value="<" <?php echo e(request('credit_days_operator') == '<' ? 'selected' : ''); ?>>Menor</option>
                                            </select>
                                            
                                            <div class="input-group mb-3">
                                                <input type="number" name="credit_days" id="credit_days" class="form-control form-control-sm" value="<?php echo e(request('credit_days')); ?>">
                                                <button class="btn btn-sm btn-success"  type="submit" ><i class="fa-regular fa-square-check"></i></button>
                                            </div>
                                        </div>
                                    </div>
                                </th>
                                <th>
                                    <div class="dropdown">
                                        <a class=" dropdown-toggle"  data-bs-toggle="dropdown">
                                            Días vencido
                                        </a>
                                        <div class="dropdown-menu p-3">
                                            <select name="overdue_days_operator" class="form-select form-select-sm mb-2">
                                                <option value="=" <?php echo e(request('overdue_days_operator') == '=' ? 'selected' : ''); ?>>Igual</option>
                                                <option value=">" <?php echo e(request('overdue_days_operator') == '>' ? 'selected' : ''); ?>>Mayor</option>
                                                <option value="<" <?php echo e(request('overdue_days_operator') == '<' ? 'selected' : ''); ?>>Igual</option>
                                            </select>
                                            
                                            <div class="input-group mb-3">
                                                <input type="number" name="overdue_days" class="form-control form-control-sm" value="<?php echo e(request('overdue_days')); ?>">
                                                <button class="btn btn-sm btn-success"  type="submit" ><i class="fa-regular fa-square-check"></i></button>
                                            </div>
                                        </div>
                                    </div>
                                </th>
                                <th>De 1 a 15 Días</th>
                                <th>De 16 a 30 Días</th>
                                <th>De 31 a 60 Días</th>
                                <th class="text-end">Total General</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                                $currentClientId = null;
                            ?>
                            <?php $__empty_1 = true; $__currentLoopData = $credits; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $credit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <?php if($currentClientId !== $credit->client_id): ?>
                                    <?php
                                        $currentClientId = $credit->client_id;
                                    ?>
                                <?php endif; ?>
                                <tr>
                                    <td><?php echo e($credit->client_name); ?></td>
                                    <td><?php echo e($credit->credit_date); ?></td>
                                    <td><?php echo e($credit->document_number); ?></td>
                                    <td align="center"><?php echo e($credit->credit_days); ?></td>
                                    <td align="center"><?php echo e($credit->overdue_days > 0 ? $credit->overdue_days : '-'); ?></td>
                                    <td><?php echo e($credit->overdue_days > 0 && $credit->overdue_days  <= 15 ? $credit->outstanding_debt : '-'); ?></td>
                                    <td><?php echo e($credit->overdue_days > 15 && $credit->overdue_days  <= 30 ? $credit->outstanding_debt : '-'); ?></td>
                                    <td><?php echo e($credit->overdue_days > 30 && $credit->overdue_days  <= 60 ? $credit->outstanding_debt : '-'); ?></td>
                                    <td class="text-end"><?php echo e(number_format($credit->outstanding_debt, 2)); ?></td>
                                </tr>
                                <?php if($loop->last || ($currentClientId !== $credits[$loop->index + 1]->client_id)): ?>
                                    <tr class="table-secondary bg-info">
                                        <td colspan="8" class="text-start fw-bold">Total for <?php echo e($totalsByClient[$currentClientId]['client_name']); ?></td>
                                        <td class="fw-bold text-end"><?php echo e(number_format($totalsByClient[$currentClientId]['total_outstanding_balance'], 2)); ?></td>
                                    </tr>
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="6" class="text-center">No records found</td>
                                </tr>
                            <?php endif; ?>

                            <tr class="table-secondary bg-dark  ">
                                <td colspan="8" class="text-start fw-bold text-white ">Total general</td>
                                <td class="fw-bold text-white  text-end"><?php echo e(number_format($grandTotal, 2)); ?></td>
                            </tr>
                        </tbody>
                    </table>

                </form>
            </div>
            
        </div>
    </div>

    <script>
                        
        window.addEventListener('DOMContentLoaded', () => {

            $("#client_id").change(function(){
                $('form').submit()
            })


        })

        </script>
       
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jorge/Escritorio/www/sys-cobranzas/resources/views/admin/balances/index.blade.php ENDPATH**/ ?>