<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-header">
            <div class="float-start">
                Presentaciones
            </div>
            <div class="float-end">
                <a href="<?php echo e(route('admin.presentations.create')); ?>" class="btn btn-success btn-sm text-white btn-custom" >
                    Crear
                </a>
            </div>
                
        </div>


    <div class="card-body">
        <div  class="table-responsive">
          <table
          id="table"
          data-toggle="table"
          data-url="<?php echo e(route("admin.presentations.ajaxList")); ?>"
          data-height="auto"
          data-side-pagination="server"
          data-page-size="10"
          data-search="true"
          data-pagination="true">
          <thead>
              <tr>
                <th data-field="id">ID</th>
              <th data-field="description">Nombre</th>
              <th data-field="unit" data-align="center">Unidad</th>
              <th data-field="action" data-align="center" data-formatter="actionFormatter">Ac</th>
              </tr>
          </thead>
          </table>
        </div>
        <script>
        function actionFormatter(value, row) {
            const urlDelete = `<?php echo e(route('admin.presentations.destroy', '%')); ?>`
            const urlEdit = `<?php echo e(route('admin.presentations.edit', '%')); ?>`
            let buttonDelete = ``
            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('presentation_delete')): ?>
                buttonDelete = `<form id="delete-form-${row.id}" method="post"
                        action="${urlDelete.replace('%', row.id)}"
                        style="display: none">
                    <?php echo e(csrf_field()); ?>

                    <?php echo e(method_field('DELETE')); ?>

                </form>
                <a href="javascript:void(0)" class="badge bg-danger text-white" onclick="
                    if(confirm('Esta seguro de eliminar este registro ??'))
                    {
                    event.preventDefault();
                    document.getElementById('delete-form-${row.id}').submit();
                    }">Delete
                </a>`
            <?php endif; ?>
            return `<a class="badge bg-info btn-edit btn-custom" href="${urlEdit.replace('%', row.id)}"> Edit </a> 
                    ${buttonDelete}`
        }

        </script>
          
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jorge/Escritorio/www/sys-control-inventario/resources/views/admin/presentations/index.blade.php ENDPATH**/ ?>