<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-header">
            <div class="float-start">
                Categorias
            </div>
            <div class="float-end">
                <button type="button" class="btn btn-success btn-sm text-white"  data-bs-toggle="modal" data-bs-target="#create">
                    Crear
                </button>
            </div>
                
        </div>

        <!-- Modal -->
<div class="modal fade" id="create" tabindex="-1" aria-labelledby="titleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content" x-data="formHandler('<?php echo e(route("admin.categories.store")); ?>')" id="alpine-component">
        <form @submit.prevent="submitForm">
             <div class="modal-header">
                <h1 class="modal-title fs-5" id="titleModalLabel">Crear Categoria</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body form-horizontal">
                <div class="mb-3">
                    <label for="codigo" class="form-label">Nombre</label>
                    <input type="hidden" id="category_id" name="category_id" x-model="form.category_id">
                    <input type="text" class="form-control" id="name" name="name" x-model="form.name" required>
                  </div>
                
                  <div class="mb-3">
                    <label for="descripcion" class="form-label">Descripción</label>
                    <input type="text" class="form-control" id="description" name="description" x-model="form.description" >
                  </div>
                
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-primary">Guardar</button>
        </div>
    </form>    
      </div>
    </div>
  </div>

    <div class="card-body">
        <div  class="table-responsive">
          <table
          id="table"
          data-toggle="table"
          data-url="<?php echo e(route("admin.categories.ajaxList")); ?>"
          data-height="auto"
          data-side-pagination="server"
          data-page-size="10"
          data-search="true"
          data-pagination="true">
          <thead>
              <tr>
                <th data-field="id">ID</th>
              <th data-field="category_name">Nombre</th>
              <th data-field="action" data-align="center" data-events="actionEvents" data-formatter="actionFormatter">Ac</th>
              </tr>
          </thead>
          </table>
        </div>
        <script>
        function actionFormatter(value, row) {
            const urlDelete = `<?php echo e(route('admin.categories.destroy', '%')); ?>`
            let buttonDelete = ``
            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('category_delete')): ?>
                buttonDelete = `<form id="delete-form-${row.id}" method="post"
                        action="${urlDelete.replace('%', row.id)}"
                        style="display: none">
                    <?php echo e(csrf_field()); ?>

                    <?php echo e(method_field('DELETE')); ?>

                </form>
                <a href="javascript:void(0)" class="badge bg-danger text-white" onclick="
                    if(confirm('Esta seguro de eliminar este registro ??'))
                    {
                    event.preventDefault();
                    document.getElementById('delete-form-${row.id}').submit();
                    }">Delete
                </a>`
            <?php endif; ?>
            return `<a class="badge bg-info btn-edit" href="#"  data-bs-toggle="modal" data-bs-target="#create"> Edit </a> ${buttonDelete}`
        }

        window.actionEvents = {
          'click .btn-edit': function (e, value, row) {
              document.getElementById('titleModalLabel').innerHTML = 'Editar categoria'

              const formComponent = document.querySelector('#alpine-component');
              const alpineData = Alpine.$data(formComponent);
              alpineData.form.category_id = row.id
              alpineData.form.name = row.category_name
              alpineData.form.description = row.description
          }
        }
        var myModalEl = document.getElementById('create');
        myModalEl.addEventListener('hidden.bs.modal', function (event) {
            document.getElementById('titleModalLabel').innerHTML = 'Crear categoria'

            const formComponent = document.querySelector('#alpine-component');
            const alpineData = Alpine.$data(formComponent);
            alpineData.form.category_id = ''
            alpineData.form.name = ''
            alpineData.form.description = ''
        });
        </script>
          
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jorge/Escritorio/www/sys-control-inventario/resources/views/admin/categories/index.blade.php ENDPATH**/ ?>