<?php $__env->startSection('content'); ?>

<div class="container py-3">
    <h2 class="mb-4">Registrar Salida </h2>

    <form id="inventoryForm" method="POST" action="<?php echo e(route('admin.exits.store')); ?>">
        <?php echo csrf_field(); ?>
        <div class="row mb-3">
            <div class="col-md-2">
                <label for="movement_date" class="form-label">Fecha salida</label>
                <input type="date" id="movement_date" name="movement_date" class="form-control"  value="<?php echo date("Y-m-d") ?>">
            </div>
            <div class="col-md-6">
                <label for="client_id" class="form-label">Cliente</label>
                <select id="client_id" name="client_id" required class="form-select autocomplete <?php $__errorArgs = ['client_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>">
                    <option value="" selected>-</option>
                    <?php $__currentLoopData = $clients; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $client): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($client->id); ?>"><?php echo e($client->name); ?> </option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
                <?php $__errorArgs = ['client_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                    <span class="invalid-feedback" role="alert">
                        <strong><?php echo e($message); ?></strong>
                    </span>
                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>
        </div>

        <div class="row mb-4">
            <!-- Product Dropdown -->
            <div class="col-md-2">
                <label for="product_code" class="form-label">Código</label>
                <input type="hidden" name="product_id" id="product_id">
                <select id="product_code" name="product_code" required class="form-select autocomplete <?php $__errorArgs = ['product_code'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>">
                    <option value="" selected>-</option>
                    <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($product->code); ?>" <?php echo e($product_code == $product->code ? 'selected' : ''); ?>><?php echo e($product->code); ?> </option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
                <?php $__errorArgs = ['product_code'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                    <span class="invalid-feedback" role="alert">
                        <strong><?php echo e($message); ?></strong>
                    </span>
                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>
            <div class="col-md-3">
                <label for="product_name" class="form-label">Artículo</label>
                <input type="text" name="product_name" id="product_name" class="form-control" readonly>
            </div>

            <div class="col-md-3">
                <label for="category_id" class="form-label">Categoria</label>
                <select id="category_id" name="category_id" class="form-select autocomplete">
                    <option value="" selected>-</option>
                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($category->id); ?>"><?php echo e($category->category_name); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
                <div class="invalid-feedback">Please select a product.</div>
            </div>

            <div class="col-md-2">
                <label for="quantity" class="form-label">Cantidad</label>
                <input type="number" id="quantity" name="quantity" required class="form-control <?php $__errorArgs = ['product_code'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"" min="1">
                <?php $__errorArgs = ['quantity'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                    <span class="invalid-feedback" role="alert">
                        <strong><?php echo e($message); ?></strong>
                    </span>
                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>

            <div class="col-md-2">
                <label for="cost" class="form-label">Costo</label>
                <input type="text" id="cost" readonly name="cost" class="form-control">
            </div>

            
        </div>

        <div class="row mb-4">   
            
            <div class="col-md-3">
                <label for="unit_price" class="form-label">Precio</label>
                <input type="text" id="unit_price" name="unit_price" class="form-control" readonly>
            </div>
            <div class="col-md-4">
                <label for="presentation" class="form-label">Presentación</label>
                <input type="text" id="presentation" name="presentation" class="form-control" readonly>
            </div>
            
            
            
        </div>

        <div class="row mb-3">
            <div class="col-md-3 text-center align-self-center">
                <button type="button" class="btn btn-dark" id="searchByCode">
                    <i class="fas fa-search"></i> Buscar por Código
                </button>
            </div>
            <div class="col-md-3 text-center  align-self-center">
                <button type="button" class="btn btn-dark" id="searchByCategory">
                    <i class="fas fa-search"></i> Buscar por Categoria
                </button>
            </div>
            <div class="col-md-6 text-center align-self-center">
                <button type="submit" class="btn btn-primary btn-lg"><i class="fas fa-save"></i>  Grabar Salida</button>
            </div>
        </div>
        
        <div  class="table-responsive">
            <p class="mb-4 mt-2">Articulos disponibles, doble click para seleccionar uno. </p>
            <table
            id="table"
            data-toggle="table"
            data-ajax="ajaxRequest"
            data-height="auto"
            data-side-pagination="server"
            data-page-size="15"
            data-click-to-select="true"
            data-multiple-select-row="true"
            data-row-style="rowStyle"
            data-pagination="true">
            <thead>
                <tr>
                <th data-field="code" data-formatter="fieldFormatter" data-events="actionEvents">Código</th>
                <th data-field="description" data-formatter="fieldFormatter" data-events="actionEvents">Articulo</th>
                <th data-field="category.category_name" data-formatter="fieldFormatter" data-events="actionEvents">Categoria</th>
                <th data-field="cost" data-formatter="fieldFormatter" data-events="actionEvents"  data-align="right">Costo</th>
                <th data-field="stock" data-formatter="fieldFormatter" data-events="actionEvents" data-align="center">Cantidad</th>
                <th data-field="stock" data-formatter="statusFormatter" data-align="center">Estado</th>
                </tr>
            </thead>
            </table>
          </div>
          <script>

            function ajaxRequest(params) {
                const url = '<?php echo e(route("admin.exits.getProductsByCategory")); ?>'
                const categoryId = document.getElementById('category_id').value
                $.get(url + '?' + $.param(params.data)+'&categoryId='+categoryId).then(function (res) {
                    params.success(res)
                })
            }

            function rowStyle(row, index) {
                return {
                    css: {
                        cursor: 'pointer'
                    }
                }
            }

            function fieldFormatter(value, row, index) {
                return `<span class='selectRow'>${value}</span>`
            }

            function statusFormatter(value, row, index) {
                if(row.stock >= row.min_stock) {
                    return `<span class="badge rounded-pill bg-success">ABASTECIDO</span>`
                }else{
                    return `<span class="badge rounded-pill bg-danger">REALIZAR COMPRA</span>`
                }
            }

            function fillFields(data) {
                document.getElementById('product_id').value = data.id
                document.getElementById('product_name').value = data.description
                document.getElementById('cost').value = data.cost
                document.getElementById('unit_price').value = data.price
                document.getElementById('presentation').value = data.presentation.description
                document.getElementById('quantity').value = data.stock
                $('#quantity').attr('max',data.stock)

                $("#category_id").val(data.category_id).trigger('change')
                $("#product_code").val(data.code).trigger('change')
            }
        
            window.actionEvents = {
                'dblclick .selectRow': function (e, value, row) {
                    fillFields(row)
                }
            }
            const urlSearch = `<?php echo e(route('admin.exits.getProduct')); ?>`

            document.getElementById('searchByCode').addEventListener('click', function() {
                const productCode = document.getElementById('product_code').value;
                if (productCode) {
                    fetch(`${urlSearch}?code=${productCode}`)
                    .then(response => response.json())
                    .then(data => {
                        fillFields(data[0])
                    })
                    .catch(error => {
                        console.error('Error fetching product data:', error);
                    });
                } else {
                    alert('Ingrese el codigo de un producto.');
                }
            });

            document.getElementById('searchByCategory').addEventListener('click', function() {
                const category_id = document.getElementById('category_id').value;
                if (!category_id) {
                    alert('Seleccione una categoria.');
                }
                const $table = $('#table')
                $table.bootstrapTable('refresh')
            });
            
          </script>
    </form>

</div>

<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jorge/Escritorio/www/sys-control-inventario/resources/views/admin/exits/create.blade.php ENDPATH**/ ?>