<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-header">
            <div class="float-start">
                Configuraciones del Sistema
            </div>
           
        </div>

        <div class="card-body">
            <div class="table-responsive">
                <table class="table">
                    <thead>
                    <tr>
                        <th width="10"></th>
                        <th>
                            ID
                        </th>
                        <th>
                            Clave
                        </th>
                        <th>
                            Valor
                        </th>
                        <th>
                        </th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $__currentLoopData = $settings; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $setting): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr data-entry-id="<?php echo e($setting->id); ?>" x-data="{ key_<?php echo e($setting->id); ?>: '<?php echo e($setting->value); ?>' }">
                            <th></th>
                            <td>
                                <?php echo e($setting->id); ?>

                            </td>
                            <td>
                                <?php echo e($setting->key ?? ''); ?>

                            </td>
                            <td>
                                <input type="text" class="form-control form-control-sm" x-model="key_<?php echo e($setting->id); ?>"  value="<?php echo e($setting->value ?? ''); ?>">
                            </td>
                            <td>
                                <form id="edit-form-<?php echo e($setting->id); ?>" method="post"
                                        action="<?php echo e(route('admin.settings.update', $setting->id)); ?>"
                                       style="display: none">
                                    <?php echo e(csrf_field()); ?>

                                    <?php echo e(method_field('PUT')); ?>

                                    <input type="text" x-model="key_<?php echo e($setting->id); ?>" name="key_<?php echo e($setting->id); ?>">
                                    
                                </form>
                                <a href="javascript:void(0)" class="badge bg-success text-white col-sm-4" onclick="
                                if(confirm('Esta seguro de guardar los cambios ??'))
                                {
                                event.preventDefault();
                                document.getElementById('edit-form-<?php echo e($setting->id); ?>').submit();
                                }"> Guardar </a>
                            </td>
                            

                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jorge/Escritorio/www/sys-cobranzas/resources/views/admin/settings/index.blade.php ENDPATH**/ ?>