<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-header">
            <div class="float-start">
                Clientes
            </div>
            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('client_create')): ?>
                <div class="float-end">
                    <a class="btn btn-success btn-sm text-white" href="<?php echo e(route("admin.clients.create")); ?>">
                        Crear cliente
                    </a>
                </div>
            <?php endif; ?>
        </div>

        <div class="card-body">

            <div  class="table-responsive">
                <table
                class='table'
                id="table"
                data-toggle="table"
                data-url="<?php echo e(route("admin.clients.ajaxList")); ?>"
                data-height="auto"
                data-side-pagination="server"
                data-page-size="10"
                data-search="true"
                data-pagination="true">
                <thead>
                    <tr>
                    <th data-field="name">Nombre</th>
                    <th data-field="document" >DNI/NIF</th>
                    <th data-field="phone">Celular</th>
                    <th data-field="action" data-formatter="actionFormatter">Acción</th>
                    </tr>
                </thead>
                </table>
              </div>
              <script>
              function actionFormatter(value, row) {
                  const urlEdit = `<?php echo e(route('admin.clients.edit', '%')); ?>`
                  const urlDelete = `<?php echo e(route('admin.clients.destroy', '%')); ?>`

                  let buttonDelete = ``
                  <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('client_delete')): ?>
                      buttonDelete = `<form id="delete-form-${row.id}" method="post"
                              action="${urlDelete.replace('%', row.id)}"
                              style="display: none">
                          <?php echo e(csrf_field()); ?>

                          <?php echo e(method_field('DELETE')); ?>

                      </form>
                      <a href="javascript:void(0)" class="badge bg-danger text-white" onclick="
                          if(confirm('Esta seguro de eliminar este registro ??'))
                          {
                          event.preventDefault();
                          document.getElementById('delete-form-${row.id}').submit();
                          }">Delete
                      </a>`
                  <?php endif; ?>
                  return `<a class="badge bg-info btn-edit" href="${urlEdit.replace('%',row.id)}"> Edit </a> ${buttonDelete}`
              }
      
             </script>

        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jorge/Escritorio/www/sys-cobranzas/resources/views/admin/clients/index.blade.php ENDPATH**/ ?>