<div class="sidebar position-fixed border-right col-md-3 col-lg-2 p-0 bg-body-tertiary" style="z-index: 9999;">
    <div class="offcanvas-md offcanvas-start bg-body-tertiary" tabindex="-1" id="sidebarMenu"
         aria-labelledby="sidebarMenuLabel">
        <div class="offcanvas-header">
            <h5 class="offcanvas-title" id="sidebarMenuLabel"><?php echo e(config('devstarit.app_name')); ?></h5>
            <button type="button" class="btn-close" data-bs-dismiss="offcanvas" data-bs-target="#sidebarMenu"
                    aria-label="Close"></button>
        </div>

        <div class="offcanvas-body position-static sidebar-sticky d-md-flex flex-column p-0 pt-lg-3 overflow-y-auto"
             style="background-color: #005046 !important;">
            <ul class="nav flex-column">
                <li class="nav-item">
                    <a class="nav-link <?php echo e((request()->is('admin')) ? 'active' : ''); ?>" aria-current="page"
                       href="<?php echo e(route('admin.index')); ?>">
                        <span data-feather="home" class="align-text-bottom"></span>
                        Dashboard
                    </a>
                </li>
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('category_access')): ?>
                    <li class="nav-item">
                        <a class="nav-link <?php echo e((request()->is('admin/categories*')) ? 'active' : ''); ?>"
                        href="<?php echo e(route('admin.categories.index')); ?>">
                            <span data-feather="grid" class="align-text-bottom"></span>
                            Categorias
                        </a>
                    </li>
                <?php endif; ?>
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('presentation_access')): ?>
                    <li class="nav-item">
                        <a class="nav-link <?php echo e((request()->is('admin/presentations*')) ? 'active' : ''); ?>"
                        href="<?php echo e(route('admin.presentations.index')); ?>">
                            <span data-feather="table" class="align-text-bottom"></span>
                            Presentaciones
                        </a>
                    </li>
                <?php endif; ?>
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('product_access')): ?>
                    <li class="nav-item">
                        <a class="nav-link <?php echo e((request()->is('admin/products*')) ? 'active' : ''); ?>"
                           href="<?php echo e(route('admin.products.index')); ?>">
                            <span data-feather="archive" class="align-text-bottom"></span>
                            Articulos
                        </a>
                    </li>
                <?php endif; ?>

                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('entry_access')): ?>
                    <li class="nav-item">
                        <a class="nav-link <?php echo e((request()->is('admin/entries*')) ? 'active' : ''); ?>"
                           href="<?php echo e(route('admin.entries.index')); ?>">
                            <span data-feather="folder-plus" class="align-text-bottom"></span>
                            Entradas
                        </a>
                    </li>
                <?php endif; ?>
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('exit_access')): ?>
                    <li class="nav-item">
                        <a class="nav-link <?php echo e((request()->is('admin/exits*')) ? 'active' : ''); ?>"
                           href="<?php echo e(route('admin.exits.index')); ?>">
                            <span data-feather="folder-minus" class="align-text-bottom"></span>
                            Salidas
                        </a>
                    </li>
                <?php endif; ?>
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('client_access')): ?>
                <li class="nav-item">
                    <a class="nav-link <?php echo e((request()->is('admin/clients*')) ? 'active' : ''); ?>"
                       href="<?php echo e(route('admin.clients.index')); ?>">
                        <span data-feather="user-plus" class="align-text-bottom"></span>
                        Clientes
                    </a>
                </li>
            
               
            </ul>
            <hr class="hr-text" style="color:#ccc">
            <ul class="nav flex-column">
                <?php endif; ?>
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('user_access')): ?>
                    <li class="nav-item">
                        <a class="nav-link <?php echo e((request()->is('admin/users*')) ? 'active' : ''); ?>"
                           href="<?php echo e(route('admin.users.index')); ?>">
                            <span data-feather="users" class="align-text-bottom"></span>
                            Usuarios
                        </a>
                    </li>
                <?php endif; ?>
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('permission_access')): ?>
                <li class="nav-item">
                    <a class="nav-link <?php echo e((request()->is('admin/permissions*')) ? 'active' : ''); ?>"
                       href="<?php echo e(route('admin.permissions.index')); ?>">
                        <span data-feather="shield" class="align-text-bottom"></span>
                        Permisos
                    </a>
                </li>
            <?php endif; ?>
            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('role_access')): ?>
                <li class="nav-item">
                    <a class="nav-link <?php echo e((request()->is('admin/roles*')) ? 'active' : ''); ?>"
                       href="<?php echo e(route('admin.roles.index')); ?>">
                        <span data-feather="disc" class="align-text-bottom"></span>
                        Roles
                    </a>
                </li>
            <?php endif; ?>
        
            </ul>

            <hr class="hr-text" style="color:#ccc">
            <ul class="nav flex-column mb-2">
                
                <li class="nav-item">
                    <a class="nav-link <?php echo e((request()->is('admin/profile')) ? 'active' : ''); ?>"
                       href="<?php echo e(route('admin.profile.index')); ?>">
                        <span data-feather="user" class="align-text-bottom"></span>
                        Perfil
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link <?php echo e((request()->is('admin/change-password')) ? 'active' : ''); ?>"
                       href="<?php echo e(route('admin.password.index')); ?>">
                        <span data-feather="key" class="align-text-bottom"></span>
                        Cambiar Password
                    </a>
                </li>
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('setting_access')): ?>
                <li class="nav-item">
                    <a class="nav-link <?php echo e((request()->is('admin/settings')) ? 'active' : ''); ?>" 
                        href="<?php echo e(route('admin.settings.index')); ?>">
                        <span data-feather="settings" class="align-text-bottom"></span>
                        App Setting
                    </a>
                </li>
                <?php endif; ?>
            </ul>
        </div>
    </div>
</div>
<?php /**PATH /home/jorge/Escritorio/www/sys-control-inventario/resources/views/admin/includes/sidebar.blade.php ENDPATH**/ ?>